/* 
	Better Stylizations of 3D Scenes
	By: Betsy Wayner and Will McCardell
	Date: 02/17/09

*/
//#define _CRT_SECURE_NO_WARNINGS

#include "TriMesh.h"

#include "stdio.h"

#include <Fl/fl.h>

// we will need OpenGL, and OpenGL needs windows.h
#include <windows.h>
//#include "GLee.h"
#include "GL/gl.h"
#include "GL/glu.h"

#pragma warning(push)
#pragma warning(disable:4312)
#pragma warning(disable:4311)
#include <Fl/Fl_Gl_Window.h>
//#include <FL/Fl_Box.H>
#pragma warning(pop)

#include "StylizedGLWindow.h"
#include "StylizedGUI.h"

int main(int argc, char** argv)
{

/*
	Fl_Gl_Window *glWindow = new Fl_Gl_Window(800,600);
	glWindow->show();
*/
	/*
	StylizedGLWindow *glWindow = new StylizedGLWindow(5,5,590,590);
	glWindow->show();
	*/

	//printf("%d\n", tm->is_bdy(2));
	StylizedGUI guiWindow;
	guiWindow.show();

	Fl::run();
	return 0;
}
